  $(document).ready(function(){  
  $('#backbutton').click(function() {
     parent.history.back();
	 return false;
  });
  
  $('#submitbutton').click(function() {
	$('form').submit();
  });

  $('#searchbutton').click(function() {
	$('form').submit();
  });

  $('input[type=password]').keypress(function(e) { 
	// Enter pressed? 
	if(e.which == 10 || e.which == 13) { 
		this.form.submit(); 
	} 
  }); 
});